This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 471372 - RHEL4: fdisk cannot create partition with starting beyond 1 TB
RHEL4: fdisk cannot create partition with starting beyond 1 TB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.7
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 05:33 EST by Tomas Smetana
Modified: 2010-10-23 01:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (452 bytes, patch)
2008-11-13 05:38 EST, Tomas Smetana
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2008-11-13 05:33:15 EST
+++ This bug was initially created as a clone of Bug #471369 +++

Description of problem:
fdisk can not create partition which starting cylinder beyond 1 TB.

How reproducible:
Always

Steps to Reproduce:
Create partition which starting cylinder beyond 1 TB.

Actual results:
Max partiton size is 1 TB.

Expected results:
Max partiton size is 2 TB.
2 TB is restriction of DOS partiton format.

Additional info:
There is similar report.

http://osdir.com/ml/linux.redhat.release.tikanga.beta/2007-01/msg00027.html
Comment 2 Tomas Smetana 2008-11-13 05:38:13 EST
Created attachment 323432 [details]
Proposed patch
Comment 10 errata-xmlrpc 2009-05-18 15:01:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0981.html

Note You need to log in before you can comment on or make changes to this bug.